Activity log for bug #1920242

Date Who What changed Old value New value Message
2021-03-19 16:26:09 Colin Watson bug added bug
2021-03-19 16:26:09 Colin Watson attachment added Log_in__tmans_PDF.png https://bugs.launchpad.net/bugs/1920242/+attachment/5478316/+files/Log_in__tmans_PDF.png
2021-03-19 16:27:54 Colin Watson bug added subscriber Sam Hartman
2021-03-29 19:35:20 a59ff5 canonical-identity-provider: status New Fix Released
2021-03-29 19:48:37 Daniel Manrique canonical-identity-provider: status Fix Released Confirmed
2021-03-29 19:50:37 a59ff5 canonical-identity-provider: status Confirmed Fix Released
2021-03-29 20:38:15 Colin Watson canonical-identity-provider: status Fix Released Confirmed
2021-05-12 04:32:25 K.O canonical-identity-provider: status Confirmed Fix Released
2021-05-12 04:35:12 K.O description I'm proxying this report for https://launchpad.net/~hartmans. For reasons that will become obvious in a moment, he's unable to file it himself. """ Hi. I'm trying to log in from the firefox-esr in Debian (78.6.0esr) uwith the Orca screen reader for accessibility. I go to launchpad.net. That's fine. I click the login/register link. I get to a screen where the voice prompts are to type in my email and hartmans@debian.org is pre-filled in. But it's like I'm trapped in some modal dialogue focus or something and I can't navigate anywhere to hit next or submit or anything. I cannot even navigate the page enough to figure out what I'm supposed to do next. I don't use launchpad that often, so I don't know when things changed. In general, Launchpad accessibility has been fine. Normally, I'd file a bug. But I suspect that it would require me to log in to file a bug:-) So I'm hoping that perhaps one of you could file a bug on my behalf. I'm happy to provide whatever information would be useful to reproduce. """ After some email discussion, I've established a few additional facts. The page Sam gets stuck on is an SSO `/%(token)s/+decide` URL on login.launchpad.net. Sam was reasonably reluctant to provide a screencast of the process without being sure of the privacy of whatever else might be on his desktop, but he provided the result of printing that page to PDF; out of an abundance of caution I've taken the liberty of exporting that to PNG in order to erase a token that was visible in the page's URL. I can see what I think might be a little bit of the cookie consent dialog at the bottom of the page - is it perhaps possible that that might be interfering with screen readers? I'm proxying this report for https://launchpad.net/~hartmans. For reasons that will become obvious in a moment, he's unable to file it himself. """ Hi. I'm trying to log in from the firefox-usr in Debian (78.6.0esr) with the Orca screen reader for accessibility. I go to launchpad.net. That's fine. I click the login/register link. I get to a screen where the voice prompts are to type in my email and hartmans@debian.org is pre-filled in. But it's like I'm trapped in some modal dialogue focus or something and I can't navigate anywhere to hit next or submit or anything. I cannot even navigate the page enough to figure out what I'm supposed to do next. I don't use launchpad that often, so I don't know when things changed. In general, Launchpad accessibility has been fine. Normally, I'd file a bug. But I suspect that it would require me to log in to file a bug:-) So I'm hoping that perhaps one of you could file a bug on my behalf. I'm happy to provide whatever information would be useful to reproduce. """ After some email discussion, I've established a few additional facts. The page Sam gets stuck on is an SSO `/%(token)s/+decide` URL on login.launchpad.net. Sam was reasonably reluctant to provide a screencast of the process without being sure of the privacy of whatever else might be on his desktop, but he provided the result of printing that page to PDF; out of an abundance of caution I've taken the liberty of exporting that to PNG in order to erase a token that was visible in the page's URL. I can see what I think might be a little bit of the cookie consent dialog at the bottom of the page - is it perhaps possible that that might be interfering with screen readers?
2021-05-12 04:35:45 K.O canonical-identity-provider: assignee K.O (nbm147)
2021-05-12 08:20:33 Colin Watson canonical-identity-provider: status Fix Released Confirmed
2021-05-12 08:20:35 Colin Watson canonical-identity-provider: assignee K.O (nbm147)
2023-03-22 03:04:23 Lukas Buda bug added subscriber Lukas Buda
2023-06-06 22:01:54 Le dao giang canonical-identity-provider: status Confirmed Fix Committed
2023-06-06 22:02:05 Le dao giang canonical-identity-provider: assignee Le dao giang (giangprosite)
2023-06-07 07:51:07 Colin Watson canonical-identity-provider: status Fix Committed Confirmed
2023-06-07 07:51:10 Colin Watson canonical-identity-provider: assignee Le dao giang (giangprosite)